Bug 1291192 - packstack installation fails - Error: Could not find data item DEFAULT_EXEC_TIMEOUT in any Hiera data file
packstack installation fails - Error: Could not find data item DEFAULT_EXEC_...
Status: CLOSED WORKSFORME
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
unspecified Severity urgent
: ---
: 8.0 (Liberty)
Assigned To: Ivan Chavero
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 04:23 EST by bkopilov
Modified: 2016-04-18 02:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 02:45:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkopilov 2015-12-14 04:23:53 EST
Description of problem:
Rhos6 / rhel7.2 , installing packstack all in one.

Here are the failures :
1:07:16 <<|Testing if puppet apply is finished: 10.35.186.38_prescript.pp  [ | ]
11:07:19 <<|
11:07:19 <<|Testing if puppet apply is finished: 10.35.186.38_prescript.pp  [ \ ]
11:07:20 <<|
11:07:20 <<|                                                                     
11:07:20 <<|10.35.186.38_prescript.pp:                        [ ERROR ]
11:07:20 <<|Applying Puppet manifests                         [ ERROR ]
11:07:20 <<|
11:07:20 <<|ERROR : Error appeared during Puppet run: 10.35.186.38_prescript.pp
11:07:20 <<|Error: Could not find data item DEFAULT_EXEC_TIMEOUT in any Hiera data file and no default supplied at /var/tmp/packstack/f54a2099d20b485e8b8731cee6c3c9ba/manifests/10.35.186.38_prescript.pp:1 on node nova-ceph-os-7.2-rhos-6-build-1.novalocal

Version-Release number of selected component (if applicable):


======== END OF STDOUT ========
2015-12-14 04:07:20::DEBUG::puppet::86::root:: Ignoring expected error during Puppet run 10.35.186.38_prescript.pp: Error: NetworkManager is not running.
2015-12-14 04:07:20::DEBUG::sequences::52::root:: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 50, in run
    self.function(config, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 254, in apply_puppet_manifest
    wait_for_puppet(currently_running, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 126, in wait_for_puppet
    validate_logfile(log)
  File "/usr/lib/python2.7/site-packages/packstack/modules/puppet.py", line 107, in validate_logfile
    raise PuppetError(message)
PuppetError: Error appeared during Puppet run: 10.35.186.38_prescript.pp
Error: Could not find data item DEFAULT_EXEC_TIMEOUT in any Hiera data file and no default supplied at /var/tmp/packstack/f54a2099d20b485e8b8731cee6c3c9ba/manifests/10.35.186.38_prescript.pp:1 on node nova-ceph-os-7.2-rhos-6-build-1.novalocal[0m
You will find full trace in log /var/tmp/packstack/20151214-040626-Fzpn8b/manifests/10.35.186.38_prescript.pp.log

2015-12-14 04:07:20::ERROR::run_setup::1018::root:: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 993, in main
    single_step_aio_install(options, logFile)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 761, in single_step_aio_install
    single_step_install(options, logFile)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 792, in single_step_install
    _main(options, answerfilepath, logFile)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 655, in _main
    runSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 626, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/setup_controller.py", line 81, in runAllSequences
    sequence.run(config=self.CONF, messages=self.MESSAGES)
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 109, in run
    step.run(config=config, messages=messages)
  File "/usr/lib/python2.7/site-packages/packstack/installer/core/sequences.py", line 50, in run
    self.function(config, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 254, in apply_puppet_manifest
    wait_for_puppet(currently_running, messages)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 126, in wait_for_puppet
    validate_logfile(log)
  File "/usr/lib/python2.7/site-packages/packstack/modules/puppet.py", line 107, in validate_logfile
    raise PuppetError(message)
PuppetError: Error appeared during Puppet run: 10.35.186.38_prescript.pp
Error: Could not find data item DEFAULT_EXEC_TIMEOUT in any Hiera data file and no default supplied at /var/tmp/packstack/f54a2099d20b485e8b8731cee6c3c9ba/manifests/10.35.186.38_prescript.pp:1 on node nova-ceph-os-7.2-rhos-6-build-1.novalocal[0m


How reproducible:
Install packstack rhos6 with rhel7.2

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 bkopilov 2015-12-14 04:25:06 EST
[0;36mDebug: hiera(): Hiera YAML backend starting[0m
[0;36mDebug: hiera(): Looking up DEFAULT_EXEC_TIMEOUT in YAML backend[0m
[0;36mDebug: hiera(): Looking for data source common[0m
[0;36mDebug: hiera(): Cannot find datafile /var/tmp/packstack/f54a2099d20b485e8b8731cee6c3c9ba/hieradata/common.yaml, skipping[0m
[1;31mError: Could not find data item DEFAULT_EXEC_TIMEOUT in any Hiera data file and no default supplied at /var/tmp/packstack/f54a2099d20b485e8b8731cee6c3c9ba/manifests/10.35.186.38_prescript.pp:1 on node nova-ceph-os-7.2-rhos-6-build-1.novalocal[0m
[1;31mError: Could not find data item DEFAULT_EXEC_TIMEOUT in any Hiera data file and no default supplied at /var/tmp/packstack/f54a2099d20b485e8b8731cee6c3c9ba/manifests/10.35.186.38_prescript.pp:1 on node nova-ceph-os-7.2-rhos-6-build-1.novalocal[0m
Comment 3 Ivan Chavero 2015-12-16 02:45:27 EST
This problem does not appear on current release of OSP 8

Note You need to log in before you can comment on or make changes to this bug.